<?php

        PG_Blocks::register_block_type( array(
            'name' => 'portfolio/hero',
            'title' => __( 'Hero', 'portfolio' ),
            'category' => 'pagesections',
            'supports' => array('color' => array('background' => false,'text' => false,'gradients' => false,'link' => false,),'typography' => array('fontSize' => false,),'anchor' => false,'align' => false,),
            'base_url' => get_template_directory_uri(),
            'base_path' => get_template_directory(),
            'js_file' => 'blocks/hero/hero.js',
            'attributes' => array(
                'image' => array(
                    'type' => 'object',
                    'default' => array('id' => 0, 'url' => 'https://images.unsplash.com/photo-1618088129969-bcb0c051985e?ixid=MnwyMDkyMnwwfDF8c2VhcmNofDEwM3x8bW9kZWwlMjBtYW58ZW58MHx8fHwxNjMyODUxNzQ5&ixlib=rb-1.2.1q=85&fm=jpg&crop=faces&cs=srgb&w=800&h=800&fit=crop', 'size' => '')
                ),
                'title' => array(
                    'type' => 'text',
                    'default' => 'Cody Coolhair, a self taught web developer well versed in Visual Design.'
                ),
                'description' => array(
                    'type' => 'text',
                    'default' => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Phasellus pulvinar faucibus neque, nec rhoncus nunc ultrices sit amet. Curabitur ac sagittis neque, vel egestas est.'
                ),
                'social_fb' => array(
                    'type' => 'object',
                    'default' => array('post_id' => 0, 'url' => '', 'post_type' => '', 'title' => '')
                ),
                'social_tw' => array(
                    'type' => 'object',
                    'default' => array('post_id' => 0, 'url' => '', 'post_type' => '', 'title' => '')
                ),
                'social_ig' => array(
                    'type' => 'object',
                    'default' => array('post_id' => 0, 'url' => '', 'post_type' => '', 'title' => '')
                ),
                'social_ball' => array(
                    'type' => 'object',
                    'default' => array('post_id' => 0, 'url' => '', 'post_type' => '', 'title' => '')
                ),
                'social_be' => array(
                    'type' => 'object',
                    'default' => array('post_id' => 0, 'url' => '', 'post_type' => '', 'title' => '')
                )
            ),
            'example' => array(
'image' => array('id' => 0, 'url' => 'https://images.unsplash.com/photo-1618088129969-bcb0c051985e?ixid=MnwyMDkyMnwwfDF8c2VhcmNofDEwM3x8bW9kZWwlMjBtYW58ZW58MHx8fHwxNjMyODUxNzQ5&ixlib=rb-1.2.1q=85&fm=jpg&crop=faces&cs=srgb&w=800&h=800&fit=crop', 'size' => ''), 'title' => 'Cody Coolhair, a self taught web developer well versed in Visual Design.', 'description' => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Phasellus pulvinar faucibus neque, nec rhoncus nunc ultrices sit amet. Curabitur ac sagittis neque, vel egestas est.', 'social_fb' => array('post_id' => 0, 'url' => '#', 'post_type' => '', 'title' => ''), 'social_tw' => array('post_id' => 0, 'url' => '#', 'post_type' => '', 'title' => ''), 'social_ig' => array('post_id' => 0, 'url' => '#', 'post_type' => '', 'title' => ''), 'social_ball' => array('post_id' => 0, 'url' => '#', 'post_type' => '', 'title' => ''), 'social_be' => array('post_id' => 0, 'url' => '#', 'post_type' => '', 'title' => '')
            ),
            'dynamic' => false
        ) );
