<?php

        PG_Blocks::register_block_type( array(
            'name' => 'portfolio/project',
            'title' => __( 'Project', 'portfolio' ),
            'category' => 'pagesections',
            'supports' => array('color' => array('background' => false,'text' => false,'gradients' => false,'link' => false,),'typography' => array('fontSize' => false,),'anchor' => false,'align' => false,),
            'base_url' => get_template_directory_uri(),
            'base_path' => get_template_directory(),
            'js_file' => 'blocks/project/project.js',
            'attributes' => array(
                'pullup' => array(
                    'type' => 'text',
                    'default' => ''
                ),
                'link' => array(
                    'type' => 'object',
                    'default' => array('post_id' => 0, 'url' => '#', 'post_type' => '', 'title' => '')
                ),
                'image' => array(
                    'type' => 'object',
                    'default' => array('id' => 0, 'url' => 'https://images.unsplash.com/photo-1609921212029-bb5a28e60960?ixid=MnwyMDkyMnwwfDF8c2VhcmNofDUyfHxkZXNpZ25lcnxlbnwwfHx8fDE2MzI4Njk1ODY&ixlib=rb-1.2.1q=85&fm=jpg&crop=faces&cs=srgb&w=600&h=650&fit=crop', 'size' => '')
                ),
                'namr' => array(
                    'type' => 'text',
                    'default' => 'Project 1'
                ),
                'description' => array(
                    'type' => 'text',
                    'default' => 'App Development'
                )
            ),
            'example' => array(
'pullup' => '', 'link' => array('post_id' => 0, 'url' => '#', 'post_type' => '', 'title' => ''), 'image' => array('id' => 0, 'url' => 'https://images.unsplash.com/photo-1609921212029-bb5a28e60960?ixid=MnwyMDkyMnwwfDF8c2VhcmNofDUyfHxkZXNpZ25lcnxlbnwwfHx8fDE2MzI4Njk1ODY&ixlib=rb-1.2.1q=85&fm=jpg&crop=faces&cs=srgb&w=600&h=650&fit=crop', 'size' => ''), 'namr' => 'Project 1', 'description' => 'App Development'
            ),
            'dynamic' => false
        ) );
