<?php

        PG_Blocks::register_block_type( array(
            'name' => 'portfolio/quote',
            'title' => __( 'Quote', 'portfolio' ),
            'category' => 'pagesections',
            'supports' => array('color' => array('background' => false,'text' => false,'gradients' => false,'link' => false,),'typography' => array('fontSize' => false,),'anchor' => false,'align' => false,),
            'base_url' => get_template_directory_uri(),
            'base_path' => get_template_directory(),
            'js_file' => 'blocks/quote/quote.js',
            'attributes' => array(
                'image' => array(
                    'type' => 'object',
                    'default' => array('id' => 0, 'url' => 'https://images.unsplash.com/photo-1537151625747-768eb6cf92b2?ixid=MXwyMDkyMnwwfDF8c2VhcmNofDE5fHxkb2d8ZW58MHx8fA&ixlib=rb-1.2.1q=85&fm=jpg&crop=faces&cs=srgb&w=400&h=400&fit=crop', 'size' => '')
                ),
                'name' => array(
                    'type' => 'text',
                    'default' => 'Dianne Russell'
                ),
                'title' => array(
                    'type' => 'text',
                    'default' => 'Founder'
                ),
                'quote' => array(
                    'type' => 'text',
                    'default' => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Phasellus pulvinar faucibus neque, nec rhoncus nunc ultrices sit amet. Aenean elementum, erat at aliquet hendrerit, elit nisl posuere tortor.'
                )
            ),
            'example' => array(
'image' => array('id' => 0, 'url' => 'https://images.unsplash.com/photo-1537151625747-768eb6cf92b2?ixid=MXwyMDkyMnwwfDF8c2VhcmNofDE5fHxkb2d8ZW58MHx8fA&ixlib=rb-1.2.1q=85&fm=jpg&crop=faces&cs=srgb&w=400&h=400&fit=crop', 'size' => ''), 'name' => 'Dianne Russell', 'title' => 'Founder', 'quote' => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Phasellus pulvinar faucibus neque, nec rhoncus nunc ultrices sit amet. Aenean elementum, erat at aliquet hendrerit, elit nisl posuere tortor.'
            ),
            'dynamic' => false
        ) );
