<?php

        PG_Blocks::register_block_type( array(
            'name' => 'portfolio/footer',
            'title' => __( 'Footer', 'portfolio' ),
            'category' => 'pagesections',
            'supports' => array('color' => array('background' => false,'text' => false,'gradients' => false,'link' => false,),'typography' => array('fontSize' => false,),'anchor' => false,'align' => false,),
            'base_url' => get_template_directory_uri(),
            'base_path' => get_template_directory(),
            'js_file' => 'blocks/footer/footer.js',
            'attributes' => array(
                'cta' => array(
                    'type' => 'text',
                    'default' => 'Interested to work together?'
                ),
                'description' => array(
                    'type' => 'text',
                    'default' => 'Duis pharetra venenatis felis, ut tincidunt ipsum consequat nec. Fusce et porttitor libero, eu aliquam nisi. Nam finibus ullamcorper semper.'
                ),
                'button' => array(
                    'type' => 'object',
                    'default' => array('post_id' => 0, 'url' => '', 'post_type' => '', 'title' => '')
                ),
                'button_label' => array(
                    'type' => 'text',
                    'default' => 'Get In Touch'
                ),
                'site_name' => array(
                    'type' => 'text',
                    'default' => 'Cody Coolhair'
                ),
                'social_fb' => array(
                    'type' => 'object',
                    'default' => array('post_id' => 0, 'url' => '', 'post_type' => '', 'title' => '')
                ),
                'social_twitter' => array(
                    'type' => 'object',
                    'default' => array('post_id' => 0, 'url' => '', 'post_type' => '', 'title' => '')
                ),
                'social_ig' => array(
                    'type' => 'object',
                    'default' => array('post_id' => 0, 'url' => '', 'post_type' => '', 'title' => '')
                ),
                'social_ball' => array(
                    'type' => 'object',
                    'default' => array('post_id' => 0, 'url' => '', 'post_type' => '', 'title' => '')
                ),
                'social_behance' => array(
                    'type' => 'object',
                    'default' => array('post_id' => 0, 'url' => '', 'post_type' => '', 'title' => '')
                ),
                'phone' => array(
                    'type' => 'text',
                    'default' => '+0 123-456-789'
                ),
                'phone_link' => array(
                    'type' => 'object',
                    'default' => array('post_id' => 0, 'url' => 'tel:+0 123-456-789', 'post_type' => '', 'title' => '')
                ),
                'email' => array(
                    'type' => 'text',
                    'default' => 'info@company.com'
                )
            ),
            'example' => array(
'cta' => 'Interested to work together?', 'description' => 'Duis pharetra venenatis felis, ut tincidunt ipsum consequat nec. Fusce et porttitor libero, eu aliquam nisi. Nam finibus ullamcorper semper.', 'button' => array('post_id' => 0, 'url' => '#', 'post_type' => '', 'title' => ''), 'button_label' => 'Get In Touch', 'site_name' => 'Cody Coolhair', 'social_fb' => array('post_id' => 0, 'url' => '#', 'post_type' => '', 'title' => ''), 'social_twitter' => array('post_id' => 0, 'url' => '#', 'post_type' => '', 'title' => ''), 'social_ig' => array('post_id' => 0, 'url' => '#', 'post_type' => '', 'title' => ''), 'social_ball' => array('post_id' => 0, 'url' => '#', 'post_type' => '', 'title' => ''), 'social_behance' => array('post_id' => 0, 'url' => '#', 'post_type' => '', 'title' => ''), 'phone' => '+0 123-456-789', 'phone_link' => array('post_id' => 0, 'url' => 'tel:+0 123-456-789', 'post_type' => '', 'title' => ''), 'email' => 'info@company.com'
            ),
            'dynamic' => false
        ) );
