<?php

        PG_Blocks::register_block_type( array(
            'name' => 'portfolio/posts',
            'title' => __( 'Recent posts', 'portfolio' ),
            'category' => 'pagesections',
            'enqueue_style' => get_template_directory_uri() . '/posts.css',
            'render_template' => 'blocks/posts/posts.php',
            'supports' => array('color' => array('background' => false,'text' => false,'gradients' => false,'link' => false,),'typography' => array('fontSize' => false,),'anchor' => false,'align' => false,),
            'base_url' => get_template_directory_uri(),
            'base_path' => get_template_directory(),
            'js_file' => 'blocks/posts/posts.js',
            'attributes' => array(
                'top_heading' => array(
                    'type' => 'text',
                    'default' => 'Few words from my clients'
                ),
                'title' => array(
                    'type' => 'text',
                    'default' => 'Testimonials'
                ),
                'button_label' => array(
                    'type' => 'text',
                    'default' => 'View All'
                ),
                'button_link' => array(
                    'type' => 'object',
                    'default' => array('post_id' => 0, 'url' => '#', 'post_type' => '', 'title' => '')
                )
            ),
            'example' => array(
'top_heading' => 'Few words from my clients', 'title' => 'Testimonials', 'button_label' => 'View All', 'button_link' => array('post_id' => 0, 'url' => '#', 'post_type' => '', 'title' => '')
            ),
            'dynamic' => true
        ) );
